# DirectedEdge | data-structure-typed
Documentation for data-structure-typed

# Class DirectedEdge

#### Hierarchy

- AbstractEdge
  - DirectedEdge

- Defined in src/data-structures/graph/directed-graph.ts:15

#####
Index

### Constructors

constructor

### Properties

_dest
_src
DEFAULT_EDGE_WEIGHT

### Accessors

dest
hashCode
src
weight

## Constructors

### constructor

- new DirectedEdge(src, dest, weight?): DirectedEdge

- #### Parameters

  - ##### src: VertexId

  - ##### dest: VertexId

  - ##### `Optional` weight: number

  #### Returns DirectedEdge

  Overrides AbstractEdge.constructor

  - Defined in src/data-structures/graph/directed-graph.ts:16

## Properties

### `Private` _dest

_dest: VertexId

- Defined in src/data-structures/graph/directed-graph.ts:32

### `Private` _src

_src: VertexId

- Defined in src/data-structures/graph/directed-graph.ts:22

### `Static` DEFAULT_EDGE_WEIGHT

DEFAULT_EDGE_WEIGHT: number = 1

Inherited from AbstractEdge.DEFAULT_EDGE_WEIGHT

- Defined in src/data-structures/graph/abstract-graph.ts:27

## Accessors

### dest

- get dest(): VertexId

- #### Returns VertexId

  - Defined in src/data-structures/graph/directed-graph.ts:33
- set dest(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  - Defined in src/data-structures/graph/directed-graph.ts:37

### hashCode

- get hashCode(): string

- #### Returns string

  Inherited from AbstractEdge.hashCode

  - Defined in src/data-structures/graph/abstract-graph.ts:47
- set hashCode(v): void

- #### Parameters

  - ##### v: string

  #### Returns void

  Inherited from AbstractEdge.hashCode

  - Defined in src/data-structures/graph/abstract-graph.ts:51

### src

- get src(): VertexId

- #### Returns VertexId

  - Defined in src/data-structures/graph/directed-graph.ts:23
- set src(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  - Defined in src/data-structures/graph/directed-graph.ts:27

### weight

- get weight(): number

- #### Returns number

  Inherited from AbstractEdge.weight

  - Defined in src/data-structures/graph/abstract-graph.ts:37
- set weight(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  Inherited from AbstractEdge.weight

  - Defined in src/data-structures/graph/abstract-graph.ts:41

Generated using TypeDoc